SpringInvoker (Grails 6.0.0)

Package: org.grails.cli.boot

## [Groovy] Class SpringInvoker

- org.grails.cli.boot.SpringInvoker

-     @groovy.lang.Singleton(strict: false)
      @groovy.transform.CompileStatic
      class SpringInvoker
      extends java.lang.Object

  Allows invocation of Spring commands from command scripts

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `SpringInvoker.Slf4jBindingAwareClassLoader` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.boot.cli.command.CommandRunner` | `runner` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.boot.cli.command.CommandRunner` | `runner`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `private SpringInvoker ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private static void` | `addServiceLoaderCommands(org.springframework.boot.cli.command.CommandRunner runner)`
    `` | `java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private org.springframework.boot.cli.command.CommandRunner runner

  - ### Property Detail

    - #### org.springframework.boot.cli.command.CommandRunner runner

  - ### Constructor Detail

    - #### private SpringInvoker()

  - ### Method Detail

    - #### private static void addServiceLoaderCommands(org.springframework.boot.cli.command.CommandRunner runner)

    - #### @java.lang.Override java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)